// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// onEvent('recipes', event => {
    
ServerEvents.recipes(event => {
    event.remove('sophisticatedbackpacks:backpack')
    event.remove('sophisticatedbackpacks:copper_backpack')
    event.remove('sophisticatedbackpacks:iron_backpack')
    event.remove('sophisticatedbackpacks:iron_backpack_from_copper')
    event.remove('sophisticatedbackpacks:gold_backpack')
    event.remove('sophisticatedbackpacks:diamond_backpack')
    event.remove('sophisticatedbackpacks:netherite_backpack')
    event.shaped('sophisticatedbackpacks:backpack', [
        'ABA',
        'BCB',
        'ABA'
    ], {
        A: 'minecraft:leather',
        B: ['kubejs:andesite_mechanism', 'kubejs:wooden_mechanism'],
        C: '#forge:chests/wooden'
    }).id('bttk:andesite_backpack')
    event.shaped('sophisticatedbackpacks:copper_backpack', [
        'ABA',
        'BCB',
        'ABA'
    ], {
        A: 'create:andesite_alloy',
        B: 'kubejs:copper_mechanism',
        C: 'sophisticatedbackpacks:backpack'
    }).id('bttk:copper_backpack')
    event.shaped('sophisticatedbackpacks:iron_backpack', [
        'ABA',
        'BCB',
        'ABA'
    ], {
        A: 'minecraft:copper_ingot',
        B: 'create:precision_mechanism',
        C: 'sophisticatedbackpacks:copper_backpack'
    }).id('bttk:iron_backpack')
    event.shaped('sophisticatedbackpacks:gold_backpack', [
        'ABA',
        'BCB',
        'ABA'
    ], {
        A: 'create:brass_ingot',
        B: 'kubejs:train_mechanism',
        C: 'sophisticatedbackpacks:iron_backpack'
    }).id('bttk:gold_backpack')
    event.shaped('sophisticatedbackpacks:diamond_backpack', [
        'ABA',
        'BCB',
        'ABA'
    ], {
        A: 'create:sturdy_sheet',
        B: 'kubejs:invar_mechanism',
        C: 'sophisticatedbackpacks:gold_backpack'
    }).id('bttk:diamond_backpack')
    event.shaped('sophisticatedbackpacks:netherite_backpack', [
        'ABA',
        'BCB',
        'ABA'
    ], {
        A: 'thermal:invar_ingot',
        B: 'kubejs:silicon_mechanism',
        C: 'sophisticatedbackpacks:diamond_backpack'
    }).id('bttk:netherite_backpack')
})